Entrar

Obter ref de person (por role)

GET https://{organization}.myguper.com/api/register/{interface}/person/{role}/{refId}

Lê a person vinculada a este refId para o {role} sob o {interface}. Retorna 404 se nenhum ref existe para essa combinação. Roles são independentes: o mesmo refId pode resolver para persons diferentes em roles diferentes.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Respostas

{"id":620977,"name":"Alice","_ref":{"source":"vtex","refId":"99","role":"cashier"}}
Copied to clipboard